%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-i
Version:    0.3.1
Release:    1%{?dist}
Summary:    Custom inflections for Node.js
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/pksunkara/inflect
Source0:    http://registry.npmjs.org/i/-/i-%{version}.tgz
BuildArch:  noarch

BuildRequires:  nodejs-devel

%if 0%{?enable_tests}
BuildRequires:  npm(vows)
%endif

%description
%{summary}.


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/i
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/i

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
ln -sf %{nodejs_sitelib} .
%{nodejs_sitelib}/vows/bin/vows --spec $(find test -name '*-test.js')
%endif


%files
%doc LICENSE README.md
%{nodejs_sitelib}/i


%changelog
* Wed Feb 13 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.3.1-1
- initial package
